import { PostForm, PostQuery, PostVO } from './types';

import { AxiosPromise } from 'axios';
import request from '@/utils/request';

// 查询文章列表
export function listPost(query: PostQuery): AxiosPromise<PostVO[]> {
  return request({
    url: '/cms/article/page',
    method: 'post',
    data: query
  });
}
// 查询文章列表tree
export function listCategory(query: any): AxiosPromise<PostVO[]> {
  return request({
    url: '/cms/article/category/tree',
    method: 'post',
    data: query
  });
}
// 查询文章详细
export function getPost(postId: string | number): AxiosPromise<PostVO> {
  return request({
    url: '/cms/article/' + postId,
    method: 'get'
  });
}

// 获取文章选择框列表
export function optionselect(deptId?: number | string, postIds?: (number | string)[]): AxiosPromise<PostVO[]> {
  return request({
    url: '/system/post/optionselect',
    method: 'get',
    params: {
      postIds: postIds,
      deptId: deptId
    }
  });
}

// 新增文章
export function addPost(data: PostForm) {
  return request({
    url: '/cms/article/add',
    method: 'post',
    data: data
  });
}

// 修改文章
export function updatePost(data: PostForm) {
  return request({
    url: '/cms/article/update',
    method: 'post',
    data: data
  });
}

// 删除文章
export function delPost(postId: string | number | (string | number)[]) {
  return request({
    url: '/cms/article/' + postId,
    method: 'delete'
  });
}
